Bug 1120414 - OSE deployment should have recommendations about latency between regions
Summary: OSE deployment should have recommendations about latency between regions
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: brice
QA Contact: Alex Dellapenta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 21:14 UTC by Rajat Chopra
Modified: 2015-07-29 01:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 01:21:40 UTC


Attachments (Terms of Use)

Description Rajat Chopra 2014-07-16 21:14:14 UTC
Description of problem:
 https://access.redhat.com/documentation/en-US/OpenShift_Enterprise/2/html-single/Administration_Guide/index.html#sect-Managing_Regions_and_Zones

For nodes classified between regions, there must be a limit to how far the regions can be. e.g. Can we have an OpenShift deployment that has nodes in Australia as well as US?
Also, can we have an HA broker setup such that one set of brokers run on one geo and set in a far-away geo? How far?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Need the numbers in terms of RTT latency. 
e.g. OpenShift will not operate well if the broker instance and the mongodb instance are more than 300ms apart (round trip time). 
e.g. OpenShift will not work reliably if the broker instance and a region of nodes are more than 400ms apart.
e.g. OpenShift broker and activemq instances cannot be more than 200ms apart.

Additional info:

Comment 4 Rajat Chopra 2014-10-14 17:13:36 UTC
I would start with a local two node + one broker setup. And put some network simulator to insert a fake latency.
If latency is introduced to all incoming traffic on the nodes (not the broker), then it is good enough to see where the product experience breaks down.

Regarding the network simulator, this is a good tool - http://www.linuxfoundation.org/collaborate/workgroups/networking/netem

It will be a qualitative measurement mostly - at what latency does one declare OpenShift is not good enough? Maybe a chart of latency number vs time it takes to create an app (or add-cart/scale-up etc), and customers can figure what is acceptable and what is not.

Comment 5 brice 2015-07-29 01:21:40 UTC
Closing this BZ. 

The focus of the documentation team is going to shift from OpenShift v2 to v3, and only the remaining v2 doc BZs that feature actual errors in the docs will be worked on.

If there are any oppositions for any specific BZs, please contact me or the docs team.


Note You need to log in before you can comment on or make changes to this bug.